#### D.4.19.1 separator

Procedure from library `mprimdec.lib` (see mprimdec_lib).

Usage:
  separator(l); list l of prime ideals

Return:
  list sepList;
  a list of separators of the prime ideals in l,
  i.e. polynomials p_ij, s.th. p_ij is in l[j],
  for all l[j] not contained in l[i]
  but p_ij is not in l[i]

Example:

    LIB "mprimdec.lib";
    ring r=0,(x,y,z),dp;
    ideal i=(x2y,xz2,y2z,z3);
    list l=minAssGTZ(i);
    list sepL=separator(l);
    sepL;
    ==> [1]:
    ==>    x
    ==> [2]:
    ==>    y

User manual for Singular version 4.4.1, 2025, generated by texi2html.